<%
'##############################################################
'# ASP GuestBook Application                                  #
'# Written by: Patrick J. Santry                              #
'# Version History:                                           #
'# 1.00 - Initial Build                                       #
'# 2.00 - Updated for drag and drop and iASP compatibility    #
'# Copyright(c)1999 Santry Computing                          #
'#                                                            #
'# Use this script at your own risk. Santry Computing         #
'# Distributes this as a free application we assume no        #
'# responsiblity for any adverse consequences.                #
'# You may distribute this application freely as long as the  #
'# copyright notice appears at the top of this script.        #
'# For more information on custom Web application programming,#
'# database, intranet and Internet consulting contact us at   #
'# Email: Patrick@Santry.com                                  #
'##############################################################
'
'##############################################################
'Upload all the files into the directory you wish to place the guestbook application in
'then place a server side include in your document that you wish to place the
'application in using <!--#include file="GuestBookInc.asp"-->
'
'This file reads the guestbook data (gb.inc) into a value then overwrites the data file inserting the
'most recent entry in the file, then it writes the previously read data to the file.
'this is done so the most recent entry is at the top of the guest entries.
'
'The only thing to remember is if your data (gb.inc) file gets too big it could slow things down,
'you'll want to delete the entries every so often to keep it fast.
'
'--------------------------------------------------------------
'this function pulls out any html codes.
Function StringSwitch(ValueIN)
	StringSwitch = Server.HTMLEncode(ValueIN)	
End Function

'--------------------------------------------------------------

Function AppendEntry(FieldIn)
	'change the mappath value to where your guestbook application resides--in the virtual directory.
	Set FileObject = Server.CreateObject("Scripting.FileSystemObject")
	TestFile = Server.MapPath ("/") & "gb.inc"
	Set InStream= FileObject.OpenTextFile (TestFile, 1, False, False)
	Do Until InStream.AtEndOfStream
		TempLine = TempLine & Instream.ReadLine
	Loop
	InStream.close
	'open text file for appending
	Set fs = Server.CreateObject("Scripting.FileSystemObject")
	'set this to the physical location of the include file that stores your actual entries.		
	Set a = fs.CreateTextFile(Server.MapPath ("/") & "gb.inc", True)
	'writes the information to the file
	a.Write(FieldIn)
	a.WriteLine()
	a.write(TempLine)
	a.Close
End Function

'--------------------------------------------------------------

Function CheckInput()	
		TempValue = "<i><b>On " & FormatDateTime(Date(), vbLongDate) & " at " & FormatDateTime(Time(), vbLongTime) & "</i></b><br>" & _
			"<b>Name: </b>" & StringSwitch(request.form("T1")) & "<br>" & _
			"<b>Email: </b><a href='mailto:" & StringSwitch(request.form("T2")) & "'>" & StringSwitch(request.form("T2")) & "</a><br>" & _
			"<b>WWW Address: </b><a href='" & StringSwitch(request.form("T3")) & "'>" & StringSwitch(request.form("T3")) & "</a><br>" & _
			"<b>Comments: </b>" & StringSwitch(request.form("S1")) & _
			"<hr>"
		Call AppendEntry(TempValue)	
End Function

'--------------------------------------------------------------

Function ShowEntries()
	Set FileObject = Server.CreateObject("Scripting.FileSystemObject")
	TestFile = Server.MapPath ("/") & "gb.inc"
	Set InStream= FileObject.OpenTextFile (TestFile, 1, False, False)
	Do Until InStream.AtEndOfStream
		response.write Instream.ReadLine
	Loop		
End Function

'--------------------------------------------------------------
If request.form("B1") <> "" Then
	Call CheckInput()
End If
%>




<form method="POST" ACTION="GuestBook.asp">
    <table border="0">
        <tr>
            <td><font size="2" face="Arial">Name:</font></td>
            <td><input type="text" size="20" name="T1"></td>
        </tr>
        <tr>
            <td><font size="2" face="Arial">E-mail: </font></td>
            <td><input type="text" size="20" name="T2"></td>
        </tr>
        <tr>
            <td><font size="2" face="Arial">WWW Address:</font></td>
            <td><input type="text" size="20" name="T3"></td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td><font size="2" face="Arial">Message:</font></td>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td colspan="2"><textarea name="S1" rows="4"
            cols="30"></textarea></td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td><input type="submit" name="B1" value="Submit"><input
            type="reset" name="B2" value="Reset"></td>
        </tr>
    </table>
</form>
<%
Call ShowEntries()
%>